Download it now!
Bug 92484 - UI: lock toolbar by default
Summary: UI: lock toolbar by default
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium enhancement
Assignee: ahmad_g
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Toolbars
  Show dependency treegraph
 
Reported: 2015-07-01 19:11 UTC by Marek Dolezel
Modified: 2020-03-20 13:19 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Dolezel 2015-07-01 19:11:32 UTC
I think we should have a toolbar locked by default to avoid accidental removal. I do realize that you can make it visible again if removed, but average Benjamin may not realize this.
Comment 1 tommy27 2015-07-01 21:07:39 UTC
enhancement request. status NEW.
Comment 2 Robinson Tryon (qubit) 2016-08-25 05:49:39 UTC Comment hidden (obsolete)
Comment 3 Heiko Tietze 2017-03-09 10:59:07 UTC
You are talking about "Lock Toolbar Position" in general and not specifically for the Standard or Formatting toolbar? Is there an issue or large number of requests that boils down to undocked toolbars?
Comment 4 Heiko Tietze 2017-03-21 16:53:54 UTC
Basically we want freedom for users and locking toolbars so that everyone needs to disabled the lock first is the opposite. The response to this request was low, so I close it as WFM.
Comment 5 andreas_k 2018-04-26 15:25:09 UTC
I would lock the toolbars by default, cause right click to unlock (and configure) toolbars are not that difficult to recognize and the benefit would be that you can't move them around accidentally.
Comment 6 Samuel Mehrbrodt (CIB) 2018-04-26 15:31:58 UTC
Agree with Andreas.
Moving toolbars around is an expert feature, and experts should be able to unlock them.

Reopening this bug.
Comment 7 Pedro 2018-04-26 15:34:39 UTC
I fully agree with Marek Dolezel, Andreas and Samuel.
The toolbars should be locked by default in all available toolbars.Even as an advanced user sometimes I accidentally move toolbars around. I can imagine how confusing this must be to a less proefficient user.

Also unlocking a toolbar to move it around is something an advanced user easily knows how to do.
Comment 8 Heiko Tietze 2018-04-26 15:45:43 UTC Comment hidden (obsolete)
Comment 9 Samuel Mehrbrodt (CIB) 2018-04-26 15:48:12 UTC Comment hidden (obsolete)
Comment 10 Pedro 2018-04-27 09:42:56 UTC Comment hidden (obsolete)
Comment 11 Heiko Tietze 2018-04-28 05:37:01 UTC Comment hidden (obsolete)
Comment 12 Pedro 2018-04-29 11:14:33 UTC Comment hidden (obsolete)
Comment 13 Heiko Tietze 2018-04-30 13:11:50 UTC Comment hidden (obsolete)
Comment 14 Pedro 2018-04-30 19:59:19 UTC Comment hidden (me-too)
Comment 15 andreas_k 2018-04-30 20:22:24 UTC Comment hidden (me-too)
Comment 16 Heiko Tietze 2018-05-01 07:33:26 UTC Comment hidden (obsolete)
Comment 17 andreas_k 2018-05-01 07:48:13 UTC Comment hidden (obsolete)
Comment 18 Heiko Tietze 2018-05-01 07:59:48 UTC Comment hidden (obsolete)
Comment 19 Pedro 2018-05-01 10:12:54 UTC Comment hidden (obsolete)
Comment 20 Heiko Tietze 2018-05-02 04:51:49 UTC Comment hidden (obsolete)
Comment 21 Pedro 2018-05-02 08:43:23 UTC Comment hidden (obsolete)
Comment 22 Heiko Tietze 2019-03-11 15:22:20 UTC
Flagged my hesitation comments as obsolete. Toolbars should become locked by default and have to get unlocked manually. It requires to add the property Locked=true in *WindowState.xcu (and reset the profile).

For example, officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu

<node oor:name="private:resource/toolbar/standardbar" oor:op="replace">
...     
  <prop oor:name="Locked" oor:type="xs:boolean">
    <value>true</value>
  </prop>
...
</node>

It's a lot of grunt work...

"find . -name *WindowState.xcu"
./officecfg/registry/data/org/openoffice/Office/UI/WriterFormWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/ChartWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/MathWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DbRelationWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/XFormsWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/StartModuleWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/ImpressWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/BasicIDEWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DbQueryWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/WriterWebWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DbTableWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/WriterReportWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DbReportWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DbBrowserWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/BaseWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DbTableDataWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/DrawWindowState.xcu
./officecfg/registry/data/org/openoffice/Office/UI/CalcWindowState.xcu
(and some other non-relevant files)

grep "private:resource/toolbar/" officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
      <node oor:name="private:resource/toolbar/standardbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/findbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/textobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/toolbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/tableobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/numobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/drawingobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/alignmentbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/bezierobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/extrusionobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/formtextobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/formsfilterbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/formsnavigationbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/formcontrols" oor:op="replace">
      <node oor:name="private:resource/toolbar/moreformcontrols" oor:op="replace">
      <node oor:name="private:resource/toolbar/formdesign" oor:op="replace">
      <node oor:name="private:resource/toolbar/frameobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/fullscreenbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/graffilterbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/graphicobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/insertbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/oleobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/optimizetablebar" oor:op="replace">
      <node oor:name="private:resource/toolbar/previewobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/drawtextobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/viewerbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/drawbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/mediaobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/colorbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/basicshapes" oor:op="replace">
      <node oor:name="private:resource/toolbar/arrowshapes" oor:op="replace">
      <node oor:name="private:resource/toolbar/flowchartshapes" oor:op="replace">
      <node oor:name="private:resource/toolbar/starshapes" oor:op="replace">
      <node oor:name="private:resource/toolbar/symbolshapes" oor:op="replace">
      <node oor:name="private:resource/toolbar/calloutshapes" oor:op="replace">
      <node oor:name="private:resource/toolbar/fontworkobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/fontworkshapetype" oor:op="replace">
      <node oor:name="private:resource/toolbar/navigationobjectbar" oor:op="replace">
      <node oor:name="private:resource/toolbar/changes" oor:op="replace">
      <node oor:name="private:resource/toolbar/textstylebar" oor:op="replace">
Comment 23 Samuel Mehrbrodt (CIB) 2019-03-12 06:41:09 UTC
Instead of changing every single file, it would probably make more sense to just change the default to "Locked" just once.

https://opengrok.libreoffice.org/xref/core/framework/source/uiconfiguration/globalsettings.cxx?r=a457c7c6#173
Comment 24 ahmad_g 2020-02-20 15:25:58 UTC
(In reply to Heiko Tietze from comment #22)
> Flagged my hesitation comments as obsolete. Toolbars should become locked by
> default and have to get unlocked manually. It requires to add the property
> Locked=true in *WindowState.xcu (and reset the profile).
> 
> For example,
> officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
> 
> <node oor:name="private:resource/toolbar/standardbar" oor:op="replace">
> ...     
>   <prop oor:name="Locked" oor:type="xs:boolean">
>     <value>true</value>
>   </prop>
> ...
> </node>
> 
> It's a lot of grunt work...
> 
> "find . -name *WindowState.xcu"
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterFormWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/ChartWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/MathWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbRelationWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/XFormsWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/StartModuleWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.
> xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/ImpressWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/BasicIDEWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbQueryWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterWebWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbTableWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterReportWindowState.
> xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbReportWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbBrowserWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/BaseWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbTableDataWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DrawWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/CalcWindowState.xcu
> (and some other non-relevant files)
> 
> grep "private:resource/toolbar/"
> officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
>       <node oor:name="private:resource/toolbar/standardbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/findbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/textobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/toolbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/tableobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/numobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/drawingobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/alignmentbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/bezierobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/extrusionobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formtextobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formsfilterbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formsnavigationbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formcontrols"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/moreformcontrols"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formdesign" oor:op="replace">
>       <node oor:name="private:resource/toolbar/frameobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/fullscreenbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/graffilterbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/graphicobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/insertbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/oleobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/optimizetablebar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/previewobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/drawtextobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/viewerbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/drawbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/mediaobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/colorbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/basicshapes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/arrowshapes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/flowchartshapes"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/starshapes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/symbolshapes"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/calloutshapes"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/fontworkobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/fontworkshapetype"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/navigationobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/changes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/textstylebar"
> oor:op="replace">


Could it be done by changing this line to locked(true)?

Code pointer : https://opengrok.libreoffice.org/xref/core/framework/source/uiconfiguration/windowstateconfiguration.cxx?r=8c6ca694#156
Comment 25 Heiko Tietze 2020-02-20 15:29:12 UTC
(In reply to ahmad_g from comment #24)
> Could it be done by changing this line to locked(true)?
> 
> Code pointer :
> https://opengrok.libreoffice.org/xref/core/framework/source/uiconfiguration/
> windowstateconfiguration.cxx?r=8c6ca694#156

Think it was Samuel's idea in comment 23.
Comment 26 ahmad_g 2020-02-20 20:25:45 UTC
(In reply to Heiko Tietze from comment #25)
> (In reply to ahmad_g from comment #24)
> > Could it be done by changing this line to locked(true)?
> > 
> > Code pointer :
> > https://opengrok.libreoffice.org/xref/core/framework/source/uiconfiguration/
> > windowstateconfiguration.cxx?r=8c6ca694#156
> 
> Think it was Samuel's idea in comment 23

Yup, i saw the comment. i was just trying to apply it and build it to make sure it's valid so i was asking to verify the line i was thinking of it's the one to be changed but it made no change when i build it.
Comment 27 ahmad_g 2020-02-26 20:12:01 UTC
(In reply to Heiko Tietze from comment #22)
> Flagged my hesitation comments as obsolete. Toolbars should become locked by
> default and have to get unlocked manually. It requires to add the property
> Locked=true in *WindowState.xcu (and reset the profile).
> 
> For example,
> officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
> 
> <node oor:name="private:resource/toolbar/standardbar" oor:op="replace">
> ...     
>   <prop oor:name="Locked" oor:type="xs:boolean">
>     <value>true</value>
>   </prop>
> ...
> </node>
> 
> It's a lot of grunt work...
> 
> "find . -name *WindowState.xcu"
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterFormWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/ChartWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/MathWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbRelationWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/XFormsWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/StartModuleWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.
> xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/ImpressWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/BasicIDEWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbQueryWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterWebWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbTableWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/WriterReportWindowState.
> xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbReportWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbBrowserWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/BaseWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DbTableDataWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/DrawWindowState.xcu
> ./officecfg/registry/data/org/openoffice/Office/UI/CalcWindowState.xcu
> (and some other non-relevant files)
> 
> grep "private:resource/toolbar/"
> officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
>       <node oor:name="private:resource/toolbar/standardbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/findbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/textobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/toolbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/tableobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/numobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/drawingobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/alignmentbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/bezierobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/extrusionobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formtextobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formsfilterbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formsnavigationbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formcontrols"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/moreformcontrols"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/formdesign" oor:op="replace">
>       <node oor:name="private:resource/toolbar/frameobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/fullscreenbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/graffilterbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/graphicobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/insertbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/oleobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/optimizetablebar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/previewobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/drawtextobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/viewerbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/drawbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/mediaobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/colorbar" oor:op="replace">
>       <node oor:name="private:resource/toolbar/basicshapes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/arrowshapes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/flowchartshapes"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/starshapes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/symbolshapes"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/calloutshapes"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/fontworkobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/fontworkshapetype"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/navigationobjectbar"
> oor:op="replace">
>       <node oor:name="private:resource/toolbar/changes" oor:op="replace">
>       <node oor:name="private:resource/toolbar/textstylebar"
> oor:op="replace">

I waited for Samuel to solve the bug the way he suggested. i will try your suggestion for now until an easier way to be done. i just want you to check my change after me. 

I will search for every toolbar and make it Locked true.
Comment 28 Maxim Monastirsky 2020-02-26 21:14:41 UTC
Changing this single line should do the trick (after resetting the user profile):

https://opengrok.libreoffice.org/xref/core/officecfg/registry/schema/org/openoffice/Office/UI/WindowState.xcs?r=46b720b1#33
Comment 29 ahmad_g 2020-02-26 22:07:08 UTC
(In reply to Maxim Monastirsky from comment #28)
> Changing this single line should do the trick (after resetting the user
> profile):
> 
> https://opengrok.libreoffice.org/xref/core/officecfg/registry/schema/org/
> openoffice/Office/UI/WindowState.xcs?r=46b720b1#33

I've tried your suggestion and  Heiko Tietze suggestion part for standardbar only
and i make build-nocheck for it to see the change and i see no change it's not locked i open writer with command soffice --writer. changing in master branch. is any part of this wrong?
Comment 30 Maxim Monastirsky 2020-02-26 22:20:57 UTC
(In reply to ahmad_g from comment #29)
> i open writer with command soffice --writer
This opens your system LO, not the one you build. You need to run instdir/program/soffice --writer instead.

Also make sure to reset the user profile, i.e. remove the instdir/user directory (if exists).
Comment 31 ahmad_g 2020-02-26 22:32:45 UTC
(In reply to Maxim Monastirsky from comment #30)
> (In reply to ahmad_g from comment #29)
> > i open writer with command soffice --writer
> This opens your system LO, not the one you build. You need to run
> instdir/program/soffice --writer instead.
> 
> Also make sure to reset the user profile, i.e. remove the instdir/user
> directory (if exists).

Thank you! It works now! toolbar is locked thanks to your hint.
Comment 32 ahmad_g 2020-02-27 16:04:28 UTC
I've submitted the patch successfully! but it needs mentor to review so it can be merged.
Comment 33 Buovjaga 2020-02-27 16:19:41 UTC
(In reply to ahmad_g from comment #32)
> I've submitted the patch successfully! but it needs mentor to review so it
> can be merged.

I found it: https://gerrit.libreoffice.org/c/core/+/89603
Comment 34 Commit Notification 2020-02-27 17:22:04 UTC
A_GAN committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f2db813374b8d65e1edec1387fa0c534b40885e1

tdf#92484 UI: lock toolbar by default

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.